<!doctype html>
<html>
<head>
  <meta http-equiv="content-type" content="text/html;charset=UTF-8"/>
  <title>nginx代理跨域-VUE</title>
  <meta name="Keywords" content="关键词"/>
  <meta name="Description" content="描述"/>
  <link rel="stylesheet" type="text/css" href=" "/>
  <style type="text/css">
  
  </style>
  
</head>
<body>
<script>
module.exports = {
  entry: {},
  module: {},
  devServer: {
    historyApiFallback: true,
    proxy: [{
      context: '/login',
      target: 'http://www.domain2.com:8080',  // 代理跨域目标接口
      changeOrigin: true,
      cookieDomainRewrite: 'www.domain1.com'  // 可以为false，表示不修改
    }],
    noInfo: true
  }
}

</script>
 </body>
</html>